/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package src.alquiler;

/**
 *
 * @author Juanma
 */

enum Tipo {
    NORMAL, FAMILIAR;
}

public class Turismo extends Coche 
{
    private static final int ASIENTOS = 5;  // esta caracteristica no esta en el enunciado
                                            // pero asi se aprovecha mejor la herencia.
                                            // Se supone que todos son de 5 asientos
    private Tipo tipo;

    public Turismo (String marca, String matricula, int identificacion, 
                        int kilometros, double gasolina, int puertas, Motor motor, Tipo tipo) 
    {
        super(marca, matricula, identificacion, kilometros, gasolina, puertas, motor, ASIENTOS);
        this.tipo = tipo;
    }
    
    public String toString () 
    {
        return super.toString() + ", Tipo: " + tipo;
    }
}
