import java.util.*; 

public class Cliente
{
    private static Consola consola = Consola.getConsola();
    
    private ArrayList<Producto> listaProductos = new ArrayList<Producto>();
    private Producto producto;
    private int numProducto;
    
    private ArrayList<Mensaje> listaMensajes = new ArrayList<Mensaje>();
    private Mensaje mensaje;
    private int numMensaje;    
    
    private String nombreCliente;
    
    public Cliente(String nombreCliente)
    {
        this.nombreCliente=nombreCliente;
    }
    
    public void contratarProducto(Producto producto)
    {
        listaProductos.add(producto);
    }
    
    public ArrayList productosContratados()
    {
        return listaProductos;
    }
    
    public void recibirMensaje(Mensaje mensaje)
    {
        listaMensajes.add(mensaje);
    }
    
    public void imprimirProductos()
    {
        consola.imprimir(nombreCliente);
        consola.imprimirLista(listaProductos);
    }    
    
    public void imprimirMensajes()
    {
        consola.imprimir("Mensajes recibidos de " + nombreCliente);
        consola.imprimirLista(listaMensajes);
    }
    
    public String toString()
    {
        return nombreCliente;    
    }
}
