import java.util.*;

public abstract class Producto
{
    private Carta carta; 
    private Email email;
    private Sms sms;
    
    private String nombreProducto;
    
    public Producto()
    {

    }
    
    public String toString()
    {
        return nombreProducto;    
    }
    
    public void setNombreProducto(String nombreProducto)
    {
        this.nombreProducto=nombreProducto;
    }
    
    public String getNombreProducto()
    {
        return nombreProducto;
    }    
    
    public void crearMensajes()
    {
        carta=new Carta("Esto es una Carta del producto " + nombreProducto);
        email=new Email("Esto es un Email del producto " + nombreProducto);
        sms=new Sms("Esto es un Mensaje del producto " + nombreProducto);        
    }
    
    public Carta getCarta()
    {
        return carta;
    }
    
    public Email getEmail()
    {
        return email;
    }
    
    public Sms getSms()
    {
        return sms;
    }    
}
