
package src.alquiler;

import java.util.Random;

/**
 * Esta programado en el NetBeans
 * Al importarlo al BlueJ no se porque no me hace bien el diagrama de clases
 * pero creo que esta bien el tema de la herencia (a mi manera), 
 * aunque he tenido que modificar un poco el enunciado, 
 * para aprovechar mejor el tema de la herencia
 * 
 * @author Juanma
 */
public class Alquiler 
{
    private static final int STOCK = 5;

    public static void main(String[] args) 
    {
        Random aleatorio = new Random();
        Vehiculo[] vehiculos = new Vehiculo[STOCK]; // Declaramos el array como array de Vehiculos (4.a)
        Vehiculo ve = null;
        
        // rellenamos el array aleatoriamente, segun sea el tipo de Vehiculo 
        // (supongo que es lo que se pide en la pregunta 4.c)
        for ( int i = 0; i < STOCK; i++) {
            int tipo = aleatorio.nextInt(6);
            switch (tipo) {
                case 0:
                    ve = new Moto ("Moto", "6453FDS", 1, 65362, 50.33);
                    break;
                case 1:
                    ve = new Turismo ("Turismo", "7464GFD", 2, 89679, 30.22, 5, Motor.GASOLINA, Tipo.FAMILIAR);
                    break;
                case 2:
                    ve = new Deportivo ("Deportivo", "8763SAD", 3, 93487, 20.23, 2, 2, 5000, true);
                    break;
                case 3:
                    ve = new Todoterreno ("Todoterreno", "8765RED", 4, 34254, 87.43, Motor.GASOIL, 5);
                    break;
                case 4:
                    ve = new Monovolumen ("Monovolumen", "9876HGF", 5, 90867, 65.34, 5, Motor.GASOIL, 7, 2, 750);
                    break;
                case 5:
                    ve = new Furgoneta ("Furgoneta", "8745FTS", 6, 90678, 87.43, 1000, 200);
                    break;
            }
            vehiculos[i] = ve;
        }
        // imprimimos solo las motos 
        // (¿¿¿es esto lo que se pide en el 4.b???)
        for (int i = 0; i < STOCK; i++) {
            if (vehiculos[i] instanceof Moto) {
                System.out.println(vehiculos[i]);
            }
        }
    }
}
