import java.util.*;
import java.io.*;

public class Consola
{
    private static Consola consola;

    private Consola()
    {

    }
    
    public static Consola getConsola()
    {
        if (consola==null) consola=new Consola();
       return consola;
    }
    
    public String leer()
    {
        BufferedReader in = new BufferedReader(new InputStreamReader (System.in));
        String cadena=null;
        try{cadena=in.readLine();}
        catch(IOException e){}
        return cadena;
    }
    
    public int leerEntero()
    {
        BufferedReader in = new BufferedReader(new InputStreamReader (System.in));
        String cadena=null;
        try{cadena=in.readLine();}
        catch(IOException e){imprimir("sólo valor positivo");}
        int entero=Integer.parseInt(cadena);
        return entero;
    }    

    public void imprimir(String cadena)
    {
        System.out.println(cadena);
    }    

    public void imprimirLista(List lista)
    {
        int indice=1;
        for (Object objeto: lista)
        {
            System.out.println(indice++ + " - " + objeto);
        }
    }
}
